Rensei docs
API ReferenceWorkflows

Get a workflow by id.

Get a workflow by id. - Rensei REST API operation reference.

GET
/api/workflows/{id}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

id*string

Workflow id.

Response Body

Workflow detail.

application/json
  1. response
id*string
workspaceId*string
name*string
description*string|null
status*string
nodes*array<unknown>
edges*array<unknown>
groups*array<unknown>
providerRequirements*unknown|null
workflowConfig*unknown|null
triggerConfig*unknown|null
viewport*unknown
definitionYaml*string|null
createdBy*string
createdAt*string
updatedAt*string
publishedAt*string|null
archivedAt*string|null
projectSlug*|

Slug of the project that owns this workflow (workflows.project_id). Source of truth for slug-based deep links.

Example Request
curl -X GET 'https://app.rensei.ai/api/workflows/string'
Example Response
{  "id": "string",  "workspaceId": "string",  "name": "string",  "description": "string",  "status": "string",  "nodes": [    null  ],  "edges": [    null  ],  "groups": [    null  ],  "providerRequirements": null,  "workflowConfig": null,  "triggerConfig": null,  "viewport": null,  "definitionYaml": "string",  "createdBy": "string",  "createdAt": "string",  "updatedAt": "string",  "publishedAt": "string",  "archivedAt": "string",  "projectSlug": "string"}